> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/domains/:domain_id/parties/:party_id/participant-id

> Get the IDs of the participants hosting a given party.
Unlike /v0, this endpoint supports parties hosted on multiple participants.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v1/domains/{domain_id}/parties/{party_id}/participant-id
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v1/domains/{domain_id}/parties/{party_id}/participant-id:
    get:
      tags:
        - external
        - scan
      summary: GET /v1/domains/:domain_id/parties/:party_id/participant-id
      description: >
        Get the IDs of the participants hosting a given party.

        Unlike /v0, this endpoint supports parties hosted on multiple
        participants.
      operationId: getPartyToParticipantV1
      parameters:
        - name: domain_id
          description: |
            The synchronizer ID to look up a mapping for.
          in: path
          required: true
          schema:
            type: string
        - name: party_id
          description: |
            The party ID to lookup a participant ID for.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPartyToParticipantResponseV1'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    GetPartyToParticipantResponseV1:
      type: object
      required:
        - participant_ids
      properties:
        participant_ids:
          description: |
            IDs of the participants hosting the provided party, each in the form
            `PAR::id::fingerprint`
          type: array
          items:
            type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````